RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004586AFRF[All Projects] Generalpublic2018-09-13 18:022018-09-18 22:31
Reportervr_sd 
Assigned Toreyhard 
PrioritynoneSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.4.9 
Summary0004586: AI-crew BMP-2 cannot hit a target with ATGM in flat terrain
DescriptionBMP-2 manned by AI is not able to hit a target with ATGM in a flat terrain (e.g. airfield).
It has no problems with targets on uneven terrain (hills etc).
AT-5 always falls short several meters before target.
It's not dependent on AI skill.
In my last probe, 3 BMP-2s fired all the missiles at enemy tank with neither hitting target.
Steps To Reproduce1) Place BMP-2 in flat terrain (airfield)
2) Place enemy vehicle/tank at the other end of flat terrain
3) Remove ammo from 2A42 in BMP cannons, set them as captive to make sure tank won't disable them.
4) Watch the missiles falling short of tank.
TagsNo tags attached.
Is it a wish/request?No
Arma 3 version1.84
Did you used any other mod when the error occurred?Yes
Which mods?JSRS, Blastcore Standalone
Attached Files

- Relationships

-  Notes
(0008484)
7ftnick (reporter)
2018-09-14 03:43
edited on: 2018-09-14 03:50

Ye I had the same issue (I tried with RHS only).
Missile just flies above tank even with 100% skill AI.

When you are player gunner, the missile flies above the reticle circle and then snaps back to reticle circle before hitting the target.
With AI it looks like it just keeps flying the same path without snapping back.

BMD-2M might have same issue.

(0008487)
reyhard (administrator)
2018-09-14 11:11

is it happening with some particularly BMP-2?
(0008493)
7ftnick (reporter)
2018-09-14 21:20

All 4 variants of BMP-2 and BMD-2M.
(BMP-1 BTW does not fire Malutka at Abrams of T-72)
(0008495)
reyhard (administrator)
2018-09-15 14:04

can you record some video? I'm trying that on VR world and it seems to be fine
(0008517)
7ftnick (reporter)
2018-09-17 02:11
edited on: 2018-09-17 16:36

https://youtu.be/vTvPK625VgM [^]

BMD-2M sometimes hits as it is a lower profile vehicle and ATGM launcher is lower.
(BtW the error at the beginning is related to abrams decals)

(0008550)
reyhard (administrator)
2018-09-18 22:31

seems AI was mostly missing when target was relatively close - tweaked it a little bit

- Issue History
Date Modified Username Field Change
2018-09-13 18:02 vr_sd New Issue
2018-09-13 18:29 vr_sd Which mods? JSRS, Blastcore Standalone, Caucasus insurgency => JSRS, Blastcore Standalone
2018-09-14 03:43 7ftnick Note Added: 0008484
2018-09-14 03:50 7ftnick Note Edited: 0008484 View Revisions
2018-09-14 11:11 reyhard Note Added: 0008487
2018-09-14 11:11 reyhard Assigned To => reyhard
2018-09-14 11:11 reyhard Status new => feedback
2018-09-14 21:20 7ftnick Note Added: 0008493
2018-09-15 14:04 reyhard Note Added: 0008495
2018-09-17 02:11 7ftnick Note Added: 0008517
2018-09-17 16:36 7ftnick Note Edited: 0008517 View Revisions
2018-09-18 22:31 reyhard Note Added: 0008550
2018-09-18 22:31 reyhard Status feedback => resolved
2018-09-18 22:31 reyhard Fixed in Version => 0.4.9
2018-09-18 22:31 reyhard Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker